Show / Hide Table of Contents

# Struct PartialSkeleton

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Render

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PartialSkeleton

### Fields

| Improve this Doc View Source

#### ConnectedBoneIndex

##### Declaration

    public short ConnectedBoneIndex

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### ConnectedParentBoneIndex

##### Declaration

    public short ConnectedParentBoneIndex

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### HavokAnimatedSkeleton

##### Declaration

    public ulong *HavokAnimatedSkeleton

##### Field Value

Type | Description
--- | ---
System.UInt64* |

| Improve this Doc View Source

#### HavokPoses

##### Declaration

    public ulong *HavokPoses

##### Field Value

Type | Description
--- | ---
System.UInt64* |

| Improve this Doc View Source

#### Jobs

##### Declaration

    public byte *Jobs

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Skeleton

##### Declaration

    public Skeleton*Skeleton

##### Field Value

Type | Description
--- | ---
Skeleton* |

| Improve this Doc View Source

#### SkeletonParameterResourceHandle

##### Declaration

    public void *SkeletonParameterResourceHandle

##### Field Value

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### SkeletonResourceHandle

##### Declaration

    public SkeletonResourceHandle*SkeletonResourceHandle

##### Field Value

Type | Description
--- | ---
SkeletonResourceHandle* |

| Improve this Doc View Source

#### vtbl

##### Declaration

    public void *vtbl

##### Field Value

Type | Description
--- | ---
System.Void* |

### Methods

| Improve this Doc View Source

#### GetHavokAnimatedSkeleton(Int32)

##### Declaration

    public hkaAnimatedSkeleton*GetHavokAnimatedSkeleton(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
hkaAnimatedSkeleton* |

| Improve this Doc View Source

#### GetHavokPose(Int32)

##### Declaration

    public hkaPose*GetHavokPose(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
hkaPose* |